API Guide Home (Online version only) |

# HsNav.h File Reference

## Detailed Description

Header file that 68K programs include to access HsNav functionality.

Version:

Date:

Definition in file HsNav.h.

Include dependency graph for HsNav.h:

Go to the source code of this file.

## Functions

- UInt16 FrmCountObjectsInNavOrder (const FormType *formP)
    Obtains the number of objects in a form’s navigation tab order.
- Err FrmGetNavOrder (const FormType *formP, FrmNavHeaderType *navHeaderP, FrmNavOrderEntryType *navOrderP, UInt16 *numObjectsP)
    Obtains information about the navigation order of a form.
- Err FrmSetNavOrder (FormType *formP, FrmNavHeaderType *navHeaderP, FrmNavOrderEntryType *navOrderP)
    Sets the navigation order of a form. If the object with the current focus is removed from the order, the object will be redrawn in its non-focused state and the form will have no current focus. Makes a COPY of all information passed-in.
- Err FrmGetNavEntry (const FormType *formP, UInt16 targetObjectID, UInt16 *afterObjectIDP, UInt16 *aboveObjectIDP, UInt16 *belowObjectIDP, FrmNavObjectFlagsType *objectFlagsP)
    Gets the navigation information for a single object in the form.
- Err FrmSetNavEntry (FormType *formP, UInt16 targetObjectID, UInt16 afterObjectID, UInt16 aboveObjectID, UInt16 belowObjectID, FrmNavObjectFlagsType objectFlags)
    Edits the navigation information for a single object in the form.
- Err FrmGetNavState (const FormType *formP, FrmNavStateFlagsType *stateFlagsP)
    Gets the current navigation state of a form.
- Err FrmSetNavState (FormType *formP, FrmNavStateFlagsType stateFlags)
    Sets the navigation state of a form.
- Err FrmNavDrawFocusRing (FormType *formP, UInt16 objectID, Int16 extraInfo, RectangleType *boundsInsideRingP, FrmNavFocusRingStyleEnum ringStyle, Boolean forceRestore)
    Parameters:

      | formP,: | IN:

- Err FrmNavRemoveFocusRing (FormType *formP)
    Parameters:

      | formP,: | IN:

- Err FrmNavGetFocusRingInfo (const FormType *formP, UInt16 *objectIDP, Int16 *extraInfoP, RectangleType *boundsInsideRingP, FrmNavFocusRingStyleEnum *ringStyleP)
    Parameters:

      | formP,: | IN:

- void FrmNavObjectTakeFocus (const FormType *formP, UInt16 objID)
    Parameters:

      | formP,: | IN:

## Function Documentation

UInt16 FrmCountObjectsInNavOrder | ( | const FormType * | formP | ) |

Obtains the number of objects in a form’s navigation tab order.

Parameters:

  | formP,: | IN: Pointer to the form whose navigation information is to be obtained.

Return values:

  | UInt16 | Returns the number of objects in the navigation tab order.

Err FrmGetNavEntry | ( | const FormType * | formP,
|  | UInt16 | targetObjectID,
|  | UInt16 * | afterObjectIDP,
|  | UInt16 * | aboveObjectIDP,
|  | UInt16 * | belowObjectIDP,
|  | FrmNavObjectFlagsType * | objectFlagsP |
| ) |  |  |

Gets the navigation information for a single object in the form.

Parameters:

  | formP,: | IN: Pointer to the form whose navigation order is being obtained
  | targetObjectID,: | IN: The ID of the object whose navigation information is being obtained
  | afterObjectIDP,: | IN: On exit, will point to the ID of the object which is to the left of the target object. If the target object is the first one in the tab order, will point to an ID of 0. Caller can pass NULL if they do not need this information.
  | aboveObjectIDP,: | IN: On exit, will point to the ID of the object that is above the target object. An ID of 0 means the target object is in the top row of the form. Caller can pass NULL if they do not need this information.
  | belowObjectIDP,: | IN: On exit, will point to the ID of the object that is below the target object. An ID of 0 means the target object is in the bottom row of the form. Caller can pass NULL if they do not need this information.
  | objectFlagsP,: | IN: On exit, will point to the object flags for the target object. Caller can pass NULL if they do not need this information.

Return values:

  | Err | Returns 0 if no error, error code otherwise.

Err FrmGetNavOrder | ( | const FormType * | formP,
|  | FrmNavHeaderType * | navHeaderP,
|  | FrmNavOrderEntryType * | navOrderP,
|  | UInt16 * | numObjectsP |
| ) |  |  |

Obtains information about the navigation order of a form.

Parameters:

  | formP,: | IN: Pointer to the form whose focus order is to be obtained
  | navHeaderP,: | IN: If not NULL, filled with the header information for the form’s navigation order
  | navOrderP,: | IN: If not NULL, will point to an array with info for each object in the navigation order
  | numObjectsP,: | IN: On entry, the number of entries allocated in the navigation order array. On exit, the number of entries filled in the navigation order array.

Return values:

  | Err | Returns 0 if no error, error code otherwise.

Err FrmGetNavState | ( | const FormType * | formP,
|  | FrmNavStateFlagsType * | stateFlagsP |
| ) |  |  |

Gets the current navigation state of a form.

Parameters:

  | formP,: | IN: Pointer to the form whose navigation state is to be obtained.
  | stateFlagsP,: | IN: On exit, points to a state flags field that describes the current navigation state

Return values:

  | Err | Returns 0 if no error, error code otherwise

Err FrmNavDrawFocusRing | ( | FormType * | formP,
|  | UInt16 | objectID,
|  | Int16 | extraInfo,
|  | RectangleType * | boundsInsideRingP,
|  | FrmNavFocusRingStyleEnum | ringStyle,
|  | Boolean | forceRestore |
| ) |  |  |

Parameters:

  | formP,: | IN:

Parameters:

  | objectID,: | IN:
  | extraInfo,: | IN:
  | boundsInsideRingP,: | IN:
  | ringStyle,: | IN:
  | forceRestore,: | IN:

Return values:

  | Err | Error code.

Err FrmNavGetFocusRingInfo | ( | const FormType * | formP,
|  | UInt16 * | objectIDP,
|  | Int16 * | extraInfoP,
|  | RectangleType * | boundsInsideRingP,
|  | FrmNavFocusRingStyleEnum * | ringStyleP |
| ) |  |  |

Parameters:

  | formP,: | IN:

Parameters:

  | objectIDP,: | IN:
  | extraInfoP,: | IN:
  | boundsInsideRingP,: | IN:
  | ringStyleP,: | IN:

Return values:

  | Err | Error code.

void FrmNavObjectTakeFocus | ( | const FormType * | formP,
|  | UInt16 | objID |
| ) |  |  |

Parameters:

  | formP,: | IN:

Parameters:

  | objID,: | IN:

Err FrmNavRemoveFocusRing | ( | FormType * | formP | ) |

Parameters:

  | formP,: | IN:

Return values:

  | Err | Error code.

Err FrmSetNavEntry | ( | FormType * | formP,
|  | UInt16 | targetObjectID,
|  | UInt16 | afterObjectID,
|  | UInt16 | aboveObjectID,
|  | UInt16 | belowObjectID,
|  | FrmNavObjectFlagsType | objectFlags |
| ) |  |  |

Edits the navigation information for a single object in the form.

Parameters:

  | formP,: | IN: Pointer to the form whose navigation order is being changed
  | targetObjectID,: | IN: The ID of the object which is being edited, added, or removed.
  | afterObjectID,: | IN: The ID of the object which will be to the left of the target object. The object that is currently to the right of the after object will then be to the right of the target object. An ID of 0 means the target object should be placed at the beginning of the order. An ID of 0xFFFF (frmInvalidObjectId) means that the target object should be completely removed from the navigation order.
  | aboveObjectID,: | IN: The ID of the object that will be above the target object. An ID of 0 means the target object is in the top row of the form.
  | belowObjectID,: | IN: The ID of the object that will be below the target object. An ID of 0 means the target object is in the bottom row of the form.
  | objectFlags,: | IN: The new object flags for the target object.

Return values:

  | Err | Returns 0 if no error, error code otherwise.

Err FrmSetNavOrder | ( | FormType * | formP,
|  | FrmNavHeaderType * | navHeaderP,
|  | FrmNavOrderEntryType * | navOrderP |
| ) |  |  |

Sets the navigation order of a form. If the object with the current focus is removed from the order, the object will be redrawn in its non-focused state and the form will have no current focus. Makes a COPY of all information passed-in.

Parameters:

  | formP,: | IN: Pointer to the form whose focus order is to being set
  | navHeaderP,: | IN: Sets the header information for the form’s navigation order. This parameter cannot be NULL.
  | navOrderP,: | IN: Specifies the new navigation order for the form. The number of entries in the array must be equal to the header parameter’s numberOfObjects field. Caller can pass NULL if they do not want to change the form’s navigation order (they just want to change the header information).

Return values:

  | Err | Returns 0 if no error, error code otherwise

Err FrmSetNavState | ( | FormType * | formP,
|  | FrmNavStateFlagsType | stateFlags |
| ) |  |  |

Sets the navigation state of a form.

Parameters:

  | formP,: | IN: Pointer to the form whose navigation state is being set
  | stateFlags,: | IN: State flags that describe the new navigation state

Return values:

  | Err | Returns 0 if no error, error code otherwise

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:07 2008 for Palm API Guide